public inbox for gentoo-catalyst@lists.gentoo.org
 help / color / mirror / Atom feed
From: Brian Dolbec <dolsen@gentoo.org>
To: catalyst@gentoo.org, gentoo-catalyst@lists.gentoo.org
Subject: [gentoo-catalyst] [PATCH 7/7] Fix a relative path bug
Date: Mon,  1 Sep 2014 19:31:41 -0700	[thread overview]
Message-ID: <1409625101-27112-8-git-send-email-dolsen@gentoo.org> (raw)
In-Reply-To: <1409625101-27112-1-git-send-email-dolsen@gentoo.org>

[-- Attachment #1: Type: text/plain, Size: 131 bytes --]


Conflicts:
	targets/support/functions.sh
---
 targets/support/functions.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: 0007-Fix-a-relative-path-bug.patch --]
[-- Type: text/x-patch; name="0007-Fix-a-relative-path-bug.patch", Size: 551 bytes --]

diff --git a/targets/support/functions.sh b/targets/support/functions.sh
index c8757d4..0894b35 100755
--- a/targets/support/functions.sh
+++ b/targets/support/functions.sh
@@ -34,7 +34,7 @@ exec_in_chroot(){
 
 	echo "Running ${file_name} in chroot:"
 	echo "    ${clst_CHROOT} ${chroot_path} ${destdir}/${file_name}"
-	${clst_CHROOT} ${chroot_path} ${destdir}/${file_name} || exit 1
+	${clst_CHROOT} ${chroot_path} .${destdir}/${file_name} || exit 1
 
 	delete_from_chroot ${destdir}/${file_name}
 	delete_from_chroot ${destdir}/chroot-functions.sh

  parent reply	other threads:[~2014-09-02  2:33 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-09-02  2:31 [gentoo-catalyst] [PATCH 0/7] Pending branch patches (various) Brian Dolbec
2014-09-02  2:31 ` [gentoo-catalyst] [PATCH 1/7] Remove unused urllib import Brian Dolbec
2014-09-02  5:22   ` W. Trevor King
2014-09-02  2:31 ` [gentoo-catalyst] [PATCH 2/7] Remove unused variable new and an undefined variable s Brian Dolbec
2014-09-02  5:43   ` W. Trevor King
2014-09-05 18:16     ` W. Trevor King
2014-09-02  2:31 ` [gentoo-catalyst] [PATCH 3/7] stage1-controller.sh: Fix portage bin path hard coding Brian Dolbec
2014-09-02  3:35   ` Rick "Zero_Chaos" Farina
2014-09-02  5:05   ` [gentoo-catalyst] [PATCH v2] stage1-controller.sh: Remove some old poor cleaning code Brian Dolbec
2014-09-02  5:19     ` [gentoo-catalyst] [PATCH v2 3/7] " Brian Dolbec
2014-09-02  5:31     ` [gentoo-catalyst] [PATCH v2] " W. Trevor King
2014-09-09 18:38     ` Brian Dolbec
2014-09-10 17:16       ` Rick "Zero_Chaos" Farina
2014-09-10 21:00         ` Anthony G. Basile
2014-09-02  2:31 ` [gentoo-catalyst] [PATCH 4/7] chroot-functions.sh: Remove --nodeps option from portage update Brian Dolbec
2014-09-02  2:31 ` [gentoo-catalyst] [PATCH 5/7] chroot-functions.sh: Fix a mis-worded comment Brian Dolbec
2014-09-02  2:31 ` [gentoo-catalyst] [PATCH 6/7] setup_pkgmgr(): WIP Make the 'build' use flag optional Brian Dolbec
2014-09-09 18:27   ` Brian Dolbec
2014-09-02  2:31 ` Brian Dolbec [this message]
2014-09-02  5:06   ` [gentoo-catalyst] [PATCH 7/7] Fix a relative path bug W. Trevor King
2014-09-02  5:26     ` Brian Dolbec
2014-09-09 17:20       ` Brian Dolbec
2014-09-11  3:30 ` [gentoo-catalyst] [PATCH 0/7] Pending branch patches (various) Brian Dolbec

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1409625101-27112-8-git-send-email-dolsen@gentoo.org \
    --to=dolsen@gentoo.org \
    --cc=catalyst@gentoo.org \
    --cc=gentoo-catalyst@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox